using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Mouse_Paint
{
    public partial class frmMousePaint : Form
    {
        private Graphics m_objGraphics;

        public frmMousePaint()
        {
            InitializeComponent();
        }

        private void frmMousePaint_Load(object sender, EventArgs e)
        {
            m_objGraphics = this.CreateGraphics();
        }

        private void frmMousePaint_FormClosed(object sender, FormClosedEventArgs e)
        {
            m_objGraphics.Dispose();
        }

        private void frmMousePaint_MouseMove(object sender, MouseEventArgs e)
        {
            Rectangle rectEllipse = new Rectangle();

            if (e.Button != MouseButtons.Left) return;

            rectEllipse.X = e.X - 1;
            rectEllipse.Y = e.Y - 1;
            rectEllipse.Width = 2;
            rectEllipse.Height = 2;

            m_objGraphics.DrawEllipse(System.Drawing.Pens.Blue, rectEllipse);

        }
    }
}